Subject: Re: linux-next: manual merge of the vfs-brauner tree with the asm-generic tree

From: Jiri Olsa <[email-masked]>
Date: Tue, 9 Jul 2024 13:53:48 +0200

On Tue, Jul 09, 2024 at 01:44:34PM +0200, Arnd Bergmann wrote:
> On Tue, Jul 9, 2024, at 12:08, Stephen Rothwell wrote:
> > On Tue, 9 Jul 2024 10:57:09 +1000 Stephen Rothwell <[email-masked]> wrote:
> >>
> >> Today's linux-next merge of the fs-next tree got conflicts in:
> >> 
> >>   arch/arm64/include/asm/unistd.h
> >>   arch/arm64/include/asm/unistd32.h
> >> 
> >> between commit:
> >> 
> >>   ea0130bf3c45 ("arm64: convert unistd_32.h to syscall.tbl format")
> >> 
> >> from the asm-generic tree and commit:
> >> 
> >>   e6873349f700 ("fs/xattr: add *at family syscalls")
> >> 
> >> from the vfs-brauner tree.
> >> 
> >> I fixed it up (I used the former versions) and can carry the fix as
> >> necessary. This is now fixed as far as linux-next is concerned, but any
> >> non trivial conflicts should be mentioned to your upstream maintainer
> >> when your tree is submitted for merging.  You may also want to consider
> >> cooperating with the maintainer of the conflicting tree to minimise any
> >> particularly complex conflicts.
> >
> > This resolution may be not enough as I now get the following warnings
> > from the arm64 defconfig build:
> >
> > <stdin>:1603:2: warning: #warning syscall setxattrat not implemented [-Wcpp]
> > <stdin>:1606:2: warning: #warning syscall getxattrat not implemented [-Wcpp]
> > <stdin>:1609:2: warning: #warning syscall listxattrat not implemented [-Wcpp]
> > <stdin>:1612:2: warning: #warning syscall removexattrat not implemented [-Wcpp]
> 
> I see. The newly added syscalls need to be copied from
> include/uapi/asm-generic/unistd.h into the newly added
> scripts/syscall.tbl. I am aware of this and was planning
> to send this as a fixup afterward to avoid an awkward
> four-way merge with the uretprobe and xattrat patches.
> 
> Based on your merge in 1dd7a574e54e ("Merge branch
> 'for-next' of git://git.kernel.org/pub/scm/linux/kernel/
> git/trace/linux-trace.git"), I think we want this
> to be in all syscall.tbl files:
> 
> diff --git a/scripts/syscall.tbl b/scripts/syscall.tbl
> index b0ea892de12e..4873fa3ca496 100644
> --- a/scripts/syscall.tbl
> +++ b/scripts/syscall.tbl
> @@ -419,3 +419,8 @@
>  460	common	lsm_set_self_attr		sys_lsm_set_self_attr
>  461	common	lsm_list_modules		sys_lsm_list_modules
>  462	common	mseal				sys_mseal
> +463	common	setxattrat			sys_setxattrat
> +464	common	getxattrat			sys_getxattrat
> +465	common	listxattrat			sys_listxattrat
> +466	common	removexattrat			sys_removexattrat
> +467	64	uretprobe			sys_uretprobe
> 
> Though I'm still not sure what uretprobe is only added
> to half the architectures at the moment. There is a chance
> we need a different conditional for it than '64'.

hi,
uretprobe is defined only for x86_64, not sure what that means
for scripts/syscall.tbl though

jirka